Compare commits

...

23 Commits

Author SHA1 Message Date
Qt Submodule Update Bot
4fabcfd5d1 Update submodules on '5.9.5' in qt5
Change-Id: Ic65ec06baa9db9f59521b6ade093e4b41427577d
Reviewed-by: Jani Heikkinen <jani.heikkinen@qt.io>
2018-04-10 19:13:49 +00:00
Qt Submodule Update Bot
e5d5e2aacb Update submodules on '5.9.5' in qt5
Change-Id: I31ba0df4dd95538fbe9893288c99b2a4df7b5e7c
Reviewed-by: Liang Qi <liang.qi@qt.io>
2018-04-05 04:14:52 +00:00
Qt Submodule Update Bot
6bc4d562c8 Update submodules on '5.9.5' in qt5
Change-Id: Ia5cb367e95fbb26756c1fa00b20e5638e62d5b5b
Reviewed-by: Liang Qi <liang.qi@qt.io>
2018-03-15 05:30:23 +00:00
Liang Qi
015b9cb53a Merge remote-tracking branch 'origin/5.9' into 5.9.5
Change-Id: If1ad190a0a4688d0f85dcd334396c7012937851b
2018-03-14 21:57:09 +01:00
Qt Submodule Update Bot
a63aa1647c Update submodules on '5.9' in qt5
Change-Id: I00a05444ff7e4b0eaaf8de653222e9cf3eff525a
Reviewed-by: Liang Qi <liang.qi@qt.io>
2018-03-13 13:34:45 +00:00
Tony Sarajärvi
07a4522087 Move MSVC2017 x86 builds to 64bit host OS
Reviewed-by: Liang Qi <liang.qi@qt.io>
Reviewed-by: Simon Hausmann <simon.hausmann@qt.io>
Reviewed-by: Simo Fält <simo.falt@qt.io>
(cherry picked from commit b85b272c26)
Change-Id: I0bd874ac3c7f216f0fccd4141964c630cd8f6e10
2018-03-12 12:55:07 +00:00
Kari Oikarinen
ef2315af73 Install libusbx-devel for QDB on RHEL 7.4
On previous RHEL version the package was libusb1-devel. That package doesn't
seem to be there anymore, which presumably means why the package to install was
changed to libusb-devel. Unfortunately libusb-devel provides a compatibility
package for the old 0.1 API version and doesn't work with QDB. libusbx-devel
seems to be the new name for the 1.0 API version of libusb on RHEL.

(cherry picked from commit 140c6479b5)
Change-Id: I978e9842b3f0ec3a355cd1724934c99a531903ef
Reviewed-by: Samuli Piippo <samuli.piippo@qt.io>
2018-03-01 14:32:38 +00:00
Oswald Buddenhagen
2644bebe4b Adjust submodule branches
Change-Id: If02707c6644b429ebc019ea0309b9cd8e17e9ff7
2018-03-01 12:15:06 +01:00
Qt Submodule Update Bot
137ed3408d Update submodules on '5.9' in qt5
Change-Id: I803674e2f243ccc2c084519c4b8a6cc77174aef5
Reviewed-by: Liang Qi <liang.qi@qt.io>
2018-02-25 06:40:58 +00:00
Qt Submodule Update Bot
ac53509b31 Update submodules on '5.9' in qt5
Change-Id: Ic1f670ffa7196580a22f0fb893d06230bed42c21
Reviewed-by: Liang Qi <liang.qi@qt.io>
2018-02-23 06:31:30 +00:00
Qt Submodule Update Bot
e086fbc6cb Update submodules on '5.9' in qt5
Change-Id: Ie7a64cad655dd0e850c8c6145f35b425de6f4c25
Reviewed-by: Liang Qi <liang.qi@qt.io>
2018-02-17 21:25:08 +00:00
Heikki Halmet
404805141a Disable set -e when enabling devtoolset-4 environment variables
Change-Id: If427179da490f14963077cd733082258e354710f
Reviewed-by: Simon Hausmann <simon.hausmann@qt.io>
2018-02-13 19:32:03 +00:00
Simo Fält
769a34ed26 Provision: Use specific Python2 version in macOS
Make sure we use some specific Python2 version on macOS instead of the
one pre-installed along with system.

Change-Id: Ifee07a8cf003e282ec3cb67535818f9fe39c8679
Reviewed-by: Heikki Halmet <heikki.halmet@qt.io>
2018-02-13 19:32:00 +00:00
Qt Submodule Update Bot
066373c9c6 Update submodules on '5.9' in qt5
Change-Id: I360edc60d8e2740d1964b91e18e02dc5daeea39a
Reviewed-by: Liang Qi <liang.qi@qt.io>
2018-02-12 18:50:11 +00:00
Joni Jantti
cadedac3b4 Provisioning: osx-10.11 - Disable sleep
Display sleep and system sleep need to be disabled to prevent the
machine from going to sleep during RTA testing.

Task-number: QTQAINFRA-1588
Change-Id: Idc91d77388ed9bc6df5f3c1aceca515f6308c618
Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
2018-02-08 08:04:47 +00:00
Joni Jantti
af55ddc913 Provisioning: MacOS-10.12 - Disable sleep
Display sleep and system sleep need to be disabled to prevent the
machine from going to sleep during RTA testing.

Task-number: QTQAINFRA-1588
Change-Id: I3dc1642d3714762bfb56963392d2bb5137c13256
Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
2018-02-08 08:04:44 +00:00
Tony Sarajärvi
c3096caa14 Remove excess comment line for shellcheck
Change-Id: I3e9b8091c158a978bd95e48b18df326c3a545798
Reviewed-by: Joni Jäntti <joni.jantti@qt.io>
Reviewed-by: Heikki Halmet <heikki.halmet@qt.io>
2018-02-07 06:30:47 +00:00
Tony Sarajärvi
b4b62658ac Fix environment variable checking for proxy
Change-Id: Iec261d4ce4e84ba656edf9de52b4dc42d0249e51
Reviewed-by: Heikki Halmet <heikki.halmet@qt.io>
2018-02-07 06:30:44 +00:00
Qt Submodule Update Bot
052aa06ef4 Update submodules on '5.9' in qt5
Change-Id: I1254c80a58ec607af3cf3955b3c73e3fb30a516e
Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
2018-02-07 06:30:41 +00:00
Joni Jantti
38649924df Provisioning: Ubuntu 16.04 x64 - Set grub timeout to 0
Grub timeout should be set to 0 so we save some time whenever the VMs
are booted.

Task-number: QTQAINFRA-1703
Change-Id: Ia866000703fdc083407d5d8588ba6680ffd80038
Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
2018-02-07 06:30:38 +00:00
Joni Jantti
9fa8b3ca35 Provisioning: openSUSE - Disable file indexing
Baloo file indexing sometimes takes up a great amount of CPU capacity
and should therefore be disabled.

Task-number: QTQAINFRA-1702
Change-Id: I549aef39c1dd2d2fa97196910f577153a42c4f54
Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
2018-02-07 06:30:35 +00:00
Joni Jantti
2e329bc68e Provisioning: openSUSE - Set grub timeout to 0
Grub timeout should be set to 0 so we save some time whenever the VMs
are booted.

Task-number: QTQAINFRA-1703
Change-Id: I67db00d200dc3e5f94ed205b53bb0ca6e70bdd8d
Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
2018-02-03 20:52:57 +00:00
Qt Submodule Update Bot
88811f882e Update submodules on '5.9' in qt5
Change-Id: I14c5e22d5c76b64a573fb32b71580e00c2a3eeba
Reviewed-by: Liang Qi <liang.qi@qt.io>
2018-02-03 15:20:59 +00:00
57 changed files with 183 additions and 88 deletions

78
.gitmodules vendored
View File

@@ -1,66 +1,66 @@
[submodule "qtbase"] [submodule "qtbase"]
path = qtbase path = qtbase
url = ../qtbase.git url = ../qtbase.git
branch = 5.9 branch = 5.9.5
status = essential status = essential
[submodule "qtsvg"] [submodule "qtsvg"]
depends = qtbase depends = qtbase
path = qtsvg path = qtsvg
url = ../qtsvg.git url = ../qtsvg.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtdeclarative"] [submodule "qtdeclarative"]
depends = qtbase depends = qtbase
recommends = qtsvg qtxmlpatterns recommends = qtsvg qtxmlpatterns
path = qtdeclarative path = qtdeclarative
url = ../qtdeclarative.git url = ../qtdeclarative.git
branch = 5.9 branch = 5.9.5
status = essential status = essential
[submodule "qtactiveqt"] [submodule "qtactiveqt"]
depends = qtbase depends = qtbase
path = qtactiveqt path = qtactiveqt
url = ../qtactiveqt.git url = ../qtactiveqt.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtscript"] [submodule "qtscript"]
depends = qtbase depends = qtbase
recommends = qttools recommends = qttools
path = qtscript path = qtscript
url = ../qtscript.git url = ../qtscript.git
branch = 5.9 branch = 5.9.5
status = deprecated status = deprecated
[submodule "qtmultimedia"] [submodule "qtmultimedia"]
depends = qtbase depends = qtbase
recommends = qtdeclarative recommends = qtdeclarative
path = qtmultimedia path = qtmultimedia
url = ../qtmultimedia.git url = ../qtmultimedia.git
branch = 5.9 branch = 5.9.5
status = essential status = essential
[submodule "qttools"] [submodule "qttools"]
depends = qtbase depends = qtbase
recommends = qtdeclarative qtactiveqt recommends = qtdeclarative qtactiveqt
path = qttools path = qttools
url = ../qttools.git url = ../qttools.git
branch = 5.9 branch = 5.9.5
status = essential status = essential
[submodule "qtxmlpatterns"] [submodule "qtxmlpatterns"]
depends = qtbase depends = qtbase
path = qtxmlpatterns path = qtxmlpatterns
url = ../qtxmlpatterns.git url = ../qtxmlpatterns.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qttranslations"] [submodule "qttranslations"]
depends = qttools depends = qttools
path = qttranslations path = qttranslations
url = ../qttranslations.git url = ../qttranslations.git
branch = 5.9 branch = 5.9.5
status = essential status = essential
priority = 30 priority = 30
[submodule "qtdoc"] [submodule "qtdoc"]
depends = qtdeclarative depends = qtdeclarative
path = qtdoc path = qtdoc
url = ../qtdoc.git url = ../qtdoc.git
branch = 5.9 branch = 5.9.5
status = essential status = essential
priority = 40 priority = 40
[submodule "qtrepotools"] [submodule "qtrepotools"]
@@ -81,14 +81,14 @@
recommends = qtdeclarative qtquickcontrols qtquickcontrols2 qtserialport recommends = qtdeclarative qtquickcontrols qtquickcontrols2 qtserialport
path = qtlocation path = qtlocation
url = ../qtlocation.git url = ../qtlocation.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtsensors"] [submodule "qtsensors"]
depends = qtbase depends = qtbase
recommends = qtdeclarative recommends = qtdeclarative
path = qtsensors path = qtsensors
url = ../qtsensors.git url = ../qtsensors.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtsystems"] [submodule "qtsystems"]
depends = qtbase depends = qtbase
@@ -121,27 +121,27 @@
recommends = qtdeclarative qtandroidextras recommends = qtdeclarative qtandroidextras
path = qtconnectivity path = qtconnectivity
url = ../qtconnectivity.git url = ../qtconnectivity.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtwayland"] [submodule "qtwayland"]
depends = qtbase depends = qtbase
recommends = qtdeclarative recommends = qtdeclarative
path = qtwayland path = qtwayland
url = ../qtwayland.git url = ../qtwayland.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qt3d"] [submodule "qt3d"]
depends = qtbase depends = qtbase
recommends = qtdeclarative qtimageformats qtgamepad recommends = qtdeclarative qtimageformats qtgamepad
path = qt3d path = qt3d
url = ../qt3d.git url = ../qt3d.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtimageformats"] [submodule "qtimageformats"]
depends = qtbase depends = qtbase
path = qtimageformats path = qtimageformats
url = ../qtimageformats.git url = ../qtimageformats.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtquick1"] [submodule "qtquick1"]
depends = qtscript depends = qtscript
@@ -154,51 +154,51 @@
depends = qtdeclarative depends = qtdeclarative
path = qtgraphicaleffects path = qtgraphicaleffects
url = ../qtgraphicaleffects.git url = ../qtgraphicaleffects.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtquickcontrols"] [submodule "qtquickcontrols"]
depends = qtdeclarative depends = qtdeclarative
recommends = qtgraphicaleffects recommends = qtgraphicaleffects
path = qtquickcontrols path = qtquickcontrols
url = ../qtquickcontrols.git url = ../qtquickcontrols.git
branch = 5.9 branch = 5.9.5
status = essential status = essential
[submodule "qtserialbus"] [submodule "qtserialbus"]
depends = qtserialport depends = qtserialport
path = qtserialbus path = qtserialbus
url = ../qtserialbus.git url = ../qtserialbus.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtserialport"] [submodule "qtserialport"]
depends = qtbase depends = qtbase
path = qtserialport path = qtserialport
url = ../qtserialport.git url = ../qtserialport.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtx11extras"] [submodule "qtx11extras"]
depends = qtbase depends = qtbase
path = qtx11extras path = qtx11extras
url = ../qtx11extras.git url = ../qtx11extras.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtmacextras"] [submodule "qtmacextras"]
depends = qtbase depends = qtbase
path = qtmacextras path = qtmacextras
url = ../qtmacextras.git url = ../qtmacextras.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtwinextras"] [submodule "qtwinextras"]
depends = qtbase depends = qtbase
recommends = qtdeclarative qtmultimedia recommends = qtdeclarative qtmultimedia
path = qtwinextras path = qtwinextras
url = ../qtwinextras.git url = ../qtwinextras.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtandroidextras"] [submodule "qtandroidextras"]
depends = qtbase depends = qtbase
path = qtandroidextras path = qtandroidextras
url = ../qtandroidextras.git url = ../qtandroidextras.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtenginio"] [submodule "qtenginio"]
depends = qtdeclarative depends = qtdeclarative
@@ -211,101 +211,101 @@
recommends = qtdeclarative recommends = qtdeclarative
path = qtwebsockets path = qtwebsockets
url = ../qtwebsockets.git url = ../qtwebsockets.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtwebchannel"] [submodule "qtwebchannel"]
depends = qtbase depends = qtbase
recommends = qtdeclarative qtwebsockets recommends = qtdeclarative qtwebsockets
path = qtwebchannel path = qtwebchannel
url = ../qtwebchannel.git url = ../qtwebchannel.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtwebengine"] [submodule "qtwebengine"]
depends = qtquickcontrols qtwebchannel depends = qtquickcontrols qtwebchannel
recommends = qtlocation qttools recommends = qtlocation qttools
path = qtwebengine path = qtwebengine
url = ../qtwebengine.git url = ../qtwebengine.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
priority = 10 priority = 10
[submodule "qtcanvas3d"] [submodule "qtcanvas3d"]
depends = qtdeclarative depends = qtdeclarative
path = qtcanvas3d path = qtcanvas3d
url = ../qtcanvas3d.git url = ../qtcanvas3d.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtwebview"] [submodule "qtwebview"]
depends = qtdeclarative depends = qtdeclarative
recommends = qtwebengine recommends = qtwebengine
path = qtwebview path = qtwebview
url = ../qtwebview.git url = ../qtwebview.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtquickcontrols2"] [submodule "qtquickcontrols2"]
depends = qtgraphicaleffects depends = qtgraphicaleffects
path = qtquickcontrols2 path = qtquickcontrols2
url = ../qtquickcontrols2.git url = ../qtquickcontrols2.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtpurchasing"] [submodule "qtpurchasing"]
depends = qtbase qtandroidextras depends = qtbase qtandroidextras
recommends = qtdeclarative recommends = qtdeclarative
path = qtpurchasing path = qtpurchasing
url = ../qtpurchasing.git url = ../qtpurchasing.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtcharts"] [submodule "qtcharts"]
depends = qtbase depends = qtbase
recommends = qtdeclarative qtmultimedia recommends = qtdeclarative qtmultimedia
path = qtcharts path = qtcharts
url = ../qtcharts.git url = ../qtcharts.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtdatavis3d"] [submodule "qtdatavis3d"]
depends = qtbase depends = qtbase
recommends = qtdeclarative qtmultimedia recommends = qtdeclarative qtmultimedia
path = qtdatavis3d path = qtdatavis3d
url = ../qtdatavis3d.git url = ../qtdatavis3d.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtvirtualkeyboard"] [submodule "qtvirtualkeyboard"]
depends = qtbase qtdeclarative qtsvg depends = qtbase qtdeclarative qtsvg
recommends = qtmultimedia qtquickcontrols recommends = qtmultimedia qtquickcontrols
path = qtvirtualkeyboard path = qtvirtualkeyboard
url = ../qtvirtualkeyboard.git url = ../qtvirtualkeyboard.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtgamepad"] [submodule "qtgamepad"]
depends = qtbase depends = qtbase
recommends = qtdeclarative recommends = qtdeclarative
path = qtgamepad path = qtgamepad
url = ../qtgamepad.git url = ../qtgamepad.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtscxml"] [submodule "qtscxml"]
depends = qtbase qtdeclarative depends = qtbase qtdeclarative
path = qtscxml path = qtscxml
url = ../qtscxml.git url = ../qtscxml.git
branch = 5.9 branch = 5.9.5
status = addon status = addon
[submodule "qtspeech"] [submodule "qtspeech"]
depends = qtbase depends = qtbase
recommends = qtdeclarative qtmultimedia recommends = qtdeclarative qtmultimedia
path = qtspeech path = qtspeech
url = ../qtspeech.git url = ../qtspeech.git
branch = 5.9 branch = 5.9.5
status = preview status = preview
[submodule "qtnetworkauth"] [submodule "qtnetworkauth"]
depends = qtbase depends = qtbase
recommends = qtwebview recommends = qtwebview
path = qtnetworkauth path = qtnetworkauth
url = ../qtnetworkauth.git url = ../qtnetworkauth.git
branch = 5.9 branch = 5.9.5
status = preview status = preview
[submodule "qtremoteobjects"] [submodule "qtremoteobjects"]
depends = qtbase depends = qtbase
recommends = qtdeclarative recommends = qtdeclarative
path = qtremoteobjects path = qtremoteobjects
url = ../qtremoteobjects.git url = ../qtremoteobjects.git
branch = 5.9 branch = 5.9.5
status = preview status = preview

View File

@@ -3,7 +3,7 @@ Template Target OS Target arch Compiler Features
qtci-windows-8.1-x86_64 x86 MSVC2013 DebugAndRelease Release ForceDebugInfo OpenGLDynamic DisableTests qtci-windows-8.1-x86_64 x86 MSVC2013 DebugAndRelease Release ForceDebugInfo OpenGLDynamic DisableTests
qtci-windows-8.1-x86_64 MSVC2013 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic DisableTests qtci-windows-8.1-x86_64 MSVC2013 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic DisableTests
qtci-windows-10-x86_64-10 WinRT_10 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo DisableTests qtci-windows-10-x86_64-10 WinRT_10 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
qtci-windows-10-x86-6 MSVC2017 DebugAndRelease Release ForceDebugInfo OpenGLDynamic qtci-windows-10-x86_64-10 x86 MSVC2017 DebugAndRelease Release ForceDebugInfo OpenGLDynamic
qtci-windows-10-x86_64-10 MSVC2017 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic qtci-windows-10-x86_64-10 MSVC2017 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic
qtci-windows-10-x86_64-10 WinRT_10 x86 MSVC2017 Packaging DebugAndRelease Release ForceDebugInfo DisableTests qtci-windows-10-x86_64-10 WinRT_10 x86 MSVC2017 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
qtci-windows-7-x86-3 Mingw53 Packaging DebugAndRelease Release OpenGLDynamic DisableTests qtci-windows-7-x86-3 Mingw53 Packaging DebugAndRelease Release OpenGLDynamic DisableTests

View File

@@ -88,7 +88,7 @@ try
fi fi
echo "Running SDK manager for platforms;$sdkApiLevel, tools, platform-tools and build-tools;$sdkBuildToolsVersion." echo "Running SDK manager for platforms;$sdkApiLevel, tools, platform-tools and build-tools;$sdkBuildToolsVersion."
if [ "$proxy" != "" ]; then if [ "$http_proxy" != "" ]; then
proxy_host=$(echo $proxy | cut -d'/' -f3 | cut -d':' -f1) proxy_host=$(echo $proxy | cut -d'/' -f3 | cut -d':' -f1)
proxy_port=$(echo $proxy | cut -d':' -f3) proxy_port=$(echo $proxy | cut -d':' -f3)
echo "y" |"$sdkTargetFolder/tools/bin/sdkmanager" --no_https --proxy=http --proxy_host=$proxy_host --proxy_port=$proxy_port "platforms;$sdkApiLevel" "tools" "platform-tools" "build-tools;$sdkBuildToolsVersion" || throw $ExceptionSdkManager echo "y" |"$sdkTargetFolder/tools/bin/sdkmanager" --no_https --proxy=http --proxy_host=$proxy_host --proxy_port=$proxy_port "platforms;$sdkApiLevel" "tools" "platform-tools" "build-tools;$sdkBuildToolsVersion" || throw $ExceptionSdkManager

View File

@@ -37,7 +37,6 @@
# CMake is needed for autotests that verify that Qt can be built with CMake # CMake is needed for autotests that verify that Qt can be built with CMake
# shellcheck source=InstallFromCompressedFileFromURL.sh
source "${BASH_SOURCE%/*}/../unix/InstallFromCompressedFileFromURL.sh" source "${BASH_SOURCE%/*}/../unix/InstallFromCompressedFileFromURL.sh"
source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh" source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"

View File

@@ -0,0 +1,52 @@
#!/usr/bin/env bash
#############################################################################
##
## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
##
## $QT_BEGIN_LICENSE:LGPL21$
## Commercial License Usage
## Licensees holding valid commercial Qt licenses may use this file in
## accordance with the commercial license agreement provided with the
## Software or, alternatively, in accordance with the terms contained in
## a written agreement between you and The Qt Company. For licensing terms
## and conditions see http://www.qt.io/terms-conditions. For further
## information use the contact form at http://www.qt.io/contact-us.
##
## GNU Lesser General Public License Usage
## Alternatively, this file may be used under the terms of the GNU Lesser
## General Public License version 2.1 or version 3 as published by the Free
## Software Foundation and appearing in the file LICENSE.LGPLv21 and
## LICENSE.LGPLv3 included in the packaging of this file. Please review the
## following information to ensure the GNU Lesser General Public License
## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
##
## As a special exception, The Qt Company gives you certain additional
## rights. These rights are described in The Qt Company LGPL Exception
## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
##
## $QT_END_LICENSE$
##
#############################################################################
# This script installs python2
source "${BASH_SOURCE%/*}/InstallPKGFromURL.sh"
source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/mac/python-2.7.14-macosx10.6.pkg"
AltUrl="https://www.python.org/ftp/python/2.7.14/python-2.7.14-macosx10.6.pkg"
SHA1="fa2bb77243ad0cb611aa3295204fab403bb0fa09"
DestDir="/"
InstallPKGFromURL "$PrimaryUrl" "$AltUrl" "$SHA1" "$DestDir"
/Library/Frameworks/Python.framework/Versions/2.7/bin/pip install virtualenv
SetEnvVar "PATH" "/Library/Frameworks/Python.framework/Versions/2.7/bin/:\$PATH"
echo "python2 = 2.7.14" >> ~/versions.txt

View File

@@ -37,6 +37,6 @@ set -ex
source "${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh" source "${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh"
if [ "$proxy" != "" ]; then if [ "$http_proxy" != "" ]; then
echo "proxy=$proxy" | sudo tee -a /etc/yum.conf echo "proxy=$proxy" | sudo tee -a /etc/yum.conf
fi fi

View File

@@ -51,6 +51,6 @@ gsettings set org.gnome.desktop.screensaver lock-enabled false
# disable blank screen power saving # disable blank screen power saving
gsettings set org.gnome.desktop.session idle-delay 0 gsettings set org.gnome.desktop.session idle-delay 0
if [ "$proxy" != "" ]; then if [ "$http_proxy" != "" ]; then
echo "proxy=$proxy" | sudo tee -a /etc/yum.conf echo "proxy=$proxy" | sudo tee -a /etc/yum.conf
fi fi

View File

@@ -61,7 +61,7 @@ installPackages+=(gstreamer1-plugins-base-devel)
# gtk3 style for QtGui/QStyle # gtk3 style for QtGui/QStyle
installPackages+=(gtk3-devel) installPackages+=(gtk3-devel)
# libusb1 for tqtc-boot2qt/qdb # libusb1 for tqtc-boot2qt/qdb
installPackages+=(libusb-devel) installPackages+=(libusbx-devel)
# speech-dispatcher-devel for QtSpeech, otherwise it has no backend on Linux # speech-dispatcher-devel for QtSpeech, otherwise it has no backend on Linux
installPackages+=(speech-dispatcher-devel) installPackages+=(speech-dispatcher-devel)
# Python # Python

View File

@@ -32,6 +32,7 @@
## $QT_END_LICENSE$ ## $QT_END_LICENSE$
## ##
############################################################################# #############################################################################
set +e
source /opt/rh/devtoolset-4/enable source /opt/rh/devtoolset-4/enable

View File

@@ -47,6 +47,7 @@ ExceptionGsettings2=101
ExceptionGsettings3=102 ExceptionGsettings3=102
ExceptionNTS=103 ExceptionNTS=103
ExceptionProxy=104 ExceptionProxy=104
ExceptionGrub=105
try try
( (
@@ -58,11 +59,14 @@ try
gsettings set org.gnome.desktop.screensaver lock-enabled false || throw $ExceptionGsettings2 gsettings set org.gnome.desktop.screensaver lock-enabled false || throw $ExceptionGsettings2
echo "Disable questions on shutdown." echo "Disable questions on shutdown."
gsettings set com.canonical.indicator.session suppress-logout-restart-shutdown true || throw $ExceptionGsettings3 gsettings set com.canonical.indicator.session suppress-logout-restart-shutdown true || throw $ExceptionGsettings3
echo "Set grub timeout to 0"
sudo sed -i 's|GRUB_TIMEOUT=10|GRUB_TIMEOUT=0|g' /etc/default/grub || throw $ExceptionGrub
sudo update-grub || throw $ExceptionGrub
echo "Set Network Test Server address to $NTS_IP in /etc/hosts" echo "Set Network Test Server address to $NTS_IP in /etc/hosts"
echo "$NTS_IP qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts || throw $ExceptionNTS echo "$NTS_IP qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts || throw $ExceptionNTS
if [ "$proxy" != "" ]; then if [ "$http_proxy" != "" ]; then
echo "Acquire::http::Proxy \"$proxy\";" | sudo tee -a /etc/apt/apt.conf || throw $ExceptionProxy echo "Acquire::http::Proxy \"$proxy\";" | sudo tee -a /etc/apt/apt.conf || throw $ExceptionProxy
fi fi
) )
@@ -84,6 +88,10 @@ catch || {
echo "Failed to disable questions on shutdown." echo "Failed to disable questions on shutdown."
exit 1; exit 1;
;; ;;
$ExceptionGrub)
echo "Failed to set grub timeout."
exit 1;
;;
$ExceptionNTS) $ExceptionNTS)
echo "Failed to set network teset server address into /etc/hosts." echo "Failed to set network teset server address into /etc/hosts."
exit 1; exit 1;

View File

@@ -7,13 +7,18 @@ source $BASEDIR/../common/shared/network_test_server_ip.txt
source "${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh" source "${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh"
sed -i '$ a\[Daemon\]\nAutolock=false\nLockOnResume=false' ~/.config/kscreenlockerrc sed -i '$ a\[Daemon\]\nAutolock=false\nLockOnResume=false' ~/.config/kscreenlockerrc
echo "Set grub timeout to 0"
sudo sed -i 's|GRUB_TIMEOUT=10|GRUB_TIMEOUT=0|g' /etc/default/grub
sudo update-grub
echo "Set Network Test Server address to $network_test_server_ip in /etc/hosts" echo "Set Network Test Server address to $network_test_server_ip in /etc/hosts"
echo "$network_test_server_ip qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts echo "$network_test_server_ip qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts
echo "Set DISPLAY" echo "Set DISPLAY"
echo 'export DISPLAY=":0"' >> ~/.bashrc echo 'export DISPLAY=":0"' >> ~/.bashrc
echo "Disabling file indexing."
sudo balooctl disable
if [ "$proxy" != "" ]; then if [ "$http_proxy" != "" ]; then
sudo sed -i 's/PROXY_ENABLED=\"no\"/PROXY_ENABLED=\"yes\"/' /etc/sysconfig/proxy sudo sed -i 's/PROXY_ENABLED=\"no\"/PROXY_ENABLED=\"yes\"/' /etc/sysconfig/proxy
sudo sed -i "s|HTTP_PROXY=\".*\"|HTTP_PROXY=\"$proxy\"|" /etc/sysconfig/proxy sudo sed -i "s|HTTP_PROXY=\".*\"|HTTP_PROXY=\"$proxy\"|" /etc/sysconfig/proxy
fi fi

View File

@@ -49,6 +49,7 @@ ExceptionSetDelay=102
ExceptionVNC=103 ExceptionVNC=103
ExceptionNTS=104 ExceptionNTS=104
ExceptionDisableScreensaverPassword=105 ExceptionDisableScreensaverPassword=105
ExceptionDisableSleep=106
try try
( (
@@ -56,6 +57,9 @@ try
# For current session # For current session
defaults -currentHost write com.apple.screensaver idleTime 0 || throw $ExceptionDisableScreensaver defaults -currentHost write com.apple.screensaver idleTime 0 || throw $ExceptionDisableScreensaver
echo "Disable sleep"
sudo pmset sleep 0 displaysleep 0 || throw $ExceptionDisableSleep
# For session after a reboot # For session after a reboot
mkdir -p "$HOME/Library/LaunchAgents" || throw $ExceptionDisableScreensaver mkdir -p "$HOME/Library/LaunchAgents" || throw $ExceptionDisableScreensaver
( (
@@ -126,5 +130,10 @@ catch || {
echo "Failed to disable requiring of password after screensaver is enabled." echo "Failed to disable requiring of password after screensaver is enabled."
exit 1; exit 1;
;; ;;
$ExceptionDisableSleep)
echo "Failed to disable sleep."
exit 1;
;;
esac esac
} }

View File

@@ -0,0 +1,4 @@
#!/usr/bin/env bash
set -ex
source "${BASH_SOURCE%/*}/../common/macos/python2.sh"

View File

@@ -0,0 +1,4 @@
#!/usr/bin/env bash
set -ex
source "${BASH_SOURCE%/*}/../common/macos/python2.sh"

View File

@@ -49,6 +49,7 @@ ExceptionSetDelay=102
ExceptionVNC=103 ExceptionVNC=103
ExceptionNTS=104 ExceptionNTS=104
ExceptionDisableScreensaverPassword=105 ExceptionDisableScreensaverPassword=105
ExceptionDisableSleep=106
try try
( (
@@ -56,6 +57,9 @@ try
# For current session # For current session
defaults -currentHost write com.apple.screensaver idleTime 0 || throw $ExceptionDisableScreensaver defaults -currentHost write com.apple.screensaver idleTime 0 || throw $ExceptionDisableScreensaver
echo "Disable sleep"
sudo pmset sleep 0 displaysleep 0 || throw $ExceptionDisableSleep
# For session after a reboot # For session after a reboot
mkdir -p "$HOME/Library/LaunchAgents" || throw $ExceptionDisableScreensaver mkdir -p "$HOME/Library/LaunchAgents" || throw $ExceptionDisableScreensaver
( (
@@ -126,6 +130,11 @@ catch || {
echo "Failed to disable requiring of password after screensaver is enabled." echo "Failed to disable requiring of password after screensaver is enabled."
exit 1; exit 1;
;; ;;
$ExceptionDisableSleep)
echo "Failed to disable sleep."
exit 1;
;;
esac esac
} }

View File

@@ -0,0 +1,4 @@
#!/usr/bin/env bash
set -ex
source "${BASH_SOURCE%/*}/../common/macos/python2.sh"

2
qt3d

Submodule qt3d updated: 02ebfda6c3...096500140b

2
qtbase

Submodule qtbase updated: 4cd90a3579...f4c2fcc052

2
qtdoc

Submodule qtdoc updated: b5d003d00c...87e708b2ac

2
qtqa

Submodule qtqa updated: 0d050f36dc...e3754bc547

Submodule qtscxml updated: 86983e533a...d37ce5ab3b

2
qtsvg

Submodule qtsvg updated: 74eb2d7d02...dec74295e8

Submodule qttools updated: f1233878fe...502f06a561